package de.intevation.flys.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import de.intevation.flys.client.shared.exceptions.ServerException;
import de.intevation.flys.client.shared.model.Collection;


/**
 * This interface describes the service for creating new collections.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
@RemoteServiceRelativePath("create-collection")
public interface CreateCollectionService extends RemoteService {

    /**
     * This method creates a new collection in the artifact server and returns
     * the uuid of this collection.
     *
     * @return the uuid of the created collection.
     */
    Collection create(String serverUrl, String locale, String ownerId)
    throws ServerException;
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
